Subject: bug#57526: 29.0.50; Precise pixel-scrolling works great with touchpad but not with mouse wheel

From: Po Lu <[email-masked]>
Date: Fri, 02 Sep 2022 20:33:05 +0800

Tassilo Horn <[email-masked]> writes:

> Actually, I use pgtk so that emacs runs as native wayland client but I
> guess that doesn't make a difference here.

Hmm, please show what message is displayed when you scroll with the
mouse, after running this:

  (while t (read-event) (message "Device: %s" last-event-device))

> AFAIK, X and wayland use libinput for device handling by default and
> "libinput list-devices" knows about touchpad AND USB mouse.  Of course I
> have no clue if that has any relevance wrt. emacs.

X doesn't necessarily use libinput for input handling.  It all depends
on the input drivers in use.

Most Wayland compositors do, however.

Thanks.